- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gsocketprotocol.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gsocket.h"`
`#include "gexception.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::SocketProtocol
| An interface for implementing a low-level protocol layer by means of calling read() and write() on a connected non-blocking socket and installing and removing event handlers as appropriate. More...
class | GNet::SocketProtocolSink
| An interface used by GNet::SocketProtocol to deliver data from a socket. More...

## Namespaces
| GNet
| Network classes.